## org.openqa.selenium.server.log
Class MaxLevelFilter

    java.lang.Object
      org.openqa.selenium.server.log.MaxLevelFilter

All Implemented Interfaces:
  java.util.logging.Filter

    public class MaxLevelFilter

extends java.lang.Object
implements java.util.logging.Filter

java.util.logging Filter providing finer grain control over what is logged, beyond the control provided by log levels.

This filter will log all log records whose level is equal or lower than a maximum level.

Constructor Summary
`MaxLevelFilter(java.util.logging.Level maxLevel)`

Method Summary
`boolean` `isLoggable(java.util.logging.LogRecord record)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaxLevelFilter

    public MaxLevelFilter(java.util.logging.Level maxLevel)

Method Detail

### isLoggable

    public boolean isLoggable(java.util.logging.LogRecord record)

  Specified by:
    `isLoggable` in interface `java.util.logging.Filter`

Copyright © 2009. All Rights Reserved.